com.ibm.openpages.api.process

## Class AbstractExternalProcess

- java.lang.Object
- - com.ibm.openpages.api.process.AbstractExternalProcess

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AbstractScheduledProcess

      public abstract class AbstractExternalProcess
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExternalProcess()`
    `AbstractExternalProcess(int processType)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `execute()`
    `java.lang.String` | `getDescription()`
    `Id` | `getInternalObjId()`
    `IProcessStatusLogger` | `getLogger()`
    `java.lang.String` | `getName()`
    `Id` | `getProcessId()`
    `int` | `getProcessType()`
    `void` | `initialize()`
    `void` | `log(int status, java.lang.String message, int percentComplete)`
    `void` | `logQueueMessage(int status, java.lang.String message)`
    `void` | `postProcessing(int status)`
    `void` | `setLogger(IProcessStatusLogger logger)`
    `void` | `setProcessId(Id processId)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractExternalProcess

          public AbstractExternalProcess()

    - #### AbstractExternalProcess

          public AbstractExternalProcess(int processType)

  - ### Method Detail

    - #### setLogger

          public void setLogger(IProcessStatusLogger logger)

    - #### getLogger

          public IProcessStatusLogger getLogger()

    - #### getProcessType

          public int getProcessType()

    - #### getInternalObjId

          public Id getInternalObjId()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### execute

          public abstract void execute()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### initialize

          public void initialize()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### postProcessing

          public void postProcessing(int status)

    - #### log

          public void log(int status,
                          java.lang.String message,
                          int percentComplete)

    - #### logQueueMessage

          public void logQueueMessage(int status,
                                      java.lang.String message)

    - #### setProcessId

          public void setProcessId(Id processId)

    - #### getProcessId

          public Id getProcessId()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.